SwiftGoma.SwiftGoma

Search endpoints

Jump to any API endpoint by name, method, or path

Subscriptions

Get my payment history

GET/api/v1/subscriptions/me/payments

Lists past subscription payment attempts.

Requires Authorization
SELLER only
Session

Query parameters

pagenumber
Defaults to 1.
limitnumber
Max 100. Defaults to 20.
Request
curl --request GET \
  --url https://api.swiftgoma.com/api/v1/subscriptions/me/payments \
  --header 'Authorization: Bearer <access_token>'
200Example response
{
  "success": true,
  "data": {
    "payments": [
      {
        "id": "subpay_1a2b3c",
        "subscriptionId": "sub_9c8d7e",
        "depositId": "SWG-DEP-9f8e7d6c5b4a3210",
        "amount": "10.00",
        "currency": "USD",
        "status": "SUCCEEDED",
        "paidAt": "2026-02-01T09:05:00.000Z"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 20,
      "total": 1,
      "totalPages": 1
    }
  }
}